# genaisdk
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.1.0
- Package version: 0.0.0.1
- Generator version: 7.4.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import promptrepository
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import promptrepository
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import promptrepository
from promptrepository.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://apisix.dev.hgenai.gl
# See configuration.py for a list of all supported configuration parameters.
configuration = promptrepository.Configuration(
    host = "https://apisix.dev.hgenai.gl"
)



# Enter a context with an instance of the API client
with promptrepository.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = promptrepository.PublicPromptsApi(api_client)
    prompt_id = 'prompt_id_example' # str | 
    authorization = 'authorization_example' # str | Authorization Bearer token (optional)

    try:
        # Get Prompt Template
        api_response = api_instance.get_prompt_template(prompt_id, authorization=authorization)
        print("The response of PublicPromptsApi->get_prompt_template:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling PublicPromptsApi->get_prompt_template: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://apisix.dev.hgenai.gl*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*PublicPromptsApi* | [**get_prompt_template**](docs/PublicPromptsApi.md#get_prompt_template) | **GET** /v1/prompt_templates/{prompt_id} | Get Prompt Template
*PublicPromptsApi* | [**get_prompt_templates**](docs/PublicPromptsApi.md#get_prompt_templates) | **GET** /v1/prompt_templates | Get Prompt Templates
*PublicTagsApi* | [**get_tag_categories**](docs/PublicTagsApi.md#get_tag_categories) | **GET** /v1/tags | Get Tag Categories With Tags


## Documentation For Models

 - [BindingType](docs/BindingType.md)
 - [HTTPValidationError](docs/HTTPValidationError.md)
 - [LocationInner](docs/LocationInner.md)
 - [PromptTemplateVariable](docs/PromptTemplateVariable.md)
 - [PromptTemplateWithVariables](docs/PromptTemplateWithVariables.md)
 - [Tag](docs/Tag.md)
 - [TagCategoryWithTags](docs/TagCategoryWithTags.md)
 - [TagsType](docs/TagsType.md)
 - [ValidationError](docs/ValidationError.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization

Endpoints do not require authorization.


## Author




